package com.example.nto;

import com.example.nto.entity.ResponseData;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

public class Utils {

    public ResponseEntity<ResponseData> NotFound(String message) {
        return new ResponseEntity<>(new ResponseData(HttpStatus.UNAUTHORIZED.value(), message), HttpStatus.UNAUTHORIZED);
    }

    public ResponseEntity<ResponseData> BadRequest(String message) {
        return new ResponseEntity<>(new ResponseData(HttpStatus.BAD_REQUEST.value(), message), HttpStatus.BAD_REQUEST);
    }

    public ResponseEntity<ResponseData> Ok(String message) {
        return new ResponseEntity<>(new ResponseData(HttpStatus.OK.value(), message), HttpStatus.OK);
    }

    public ResponseEntity<ResponseData> Forbidden(String message) {
        return new ResponseEntity<>(new ResponseData(HttpStatus.FORBIDDEN.value(), message), HttpStatus.FORBIDDEN);
    }
}
